AWS Developer Blog

.NET Standard 1.3 is no longer supported in AWS SDK for .NET version 3.7

Microsoft announced the end of support for .NET Core 1.0 and 1.1 platforms on June 27th, 2019. Following that, on May 18th, 2020, we announced the upcoming end-of-support for .NET Standard 1.3 in AWS SDK for .NET version 3.

Yesterday we released version 3.7 of the AWS SDK for .NET which no longer supports .NET Standard 1.3. We will continue supporting .NET Standard 2.0 (and higher), which has become a standard for .NET applications.

If you are running applications using .NET Core 1.0 or .NET Core 1.1, you will need to migrate your applications to the newer version of .NET Core. We recommend .NET Core 3.1 since this is the latest LTS version. If you are running applications using .NET Framework or .NET Core 2.0 (or higher), you will not be impacted by this deprecation.

In the near future, we will also be removing .NET Standard 1.3 support from our AWS Lambda for .NET Core, Amazon S3 Encryption Client for .NET, and AWS Extensions .NET Core Setup libraries.